Bug 743830 - Add non-existing Network to Cluster - empty error message
Add non-existing Network to Cluster - empty error message
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: 3.2
Assigned To: Mike Kolesnik
network
: EasyFix
Depends On:
Blocks: 848391
  Show dependency treegraph
 
Reported: 2011-10-06 04:28 EDT by Ori Liel
Modified: 2013-02-15 01:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848391 (view as bug list)
Environment:
Last Closed: 2013-02-15 01:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ori Liel 2011-10-06 04:28:41 EDT
Steps to reproduce: 

1) Add network to cluster, with a network-id that doesn't exist in rhevm database, for example: 

  <network id="2b8efd92-1779-40db-87a4-043f27dd3bc0">
    <name>green</name>
  </network>

2) Failure at database level (naturally).

3) VdcReturnValueBase object, which is returned, has emtpy executeFailedMessages[] array (the error can be seen only in 'fault' field which is internal).


Expected Results: 

VdcReturnValueBase-->executeFailedMessages[] should contain a description of the failure.
Comment 1 Mike Kolesnik 2012-08-20 05:13:40 EDT
http://gerrit.ovirt.org/7333
Comment 3 Itamar Heim 2013-01-16 11:10:14 EST
3.2 beta built, moving to ON_QA status to allow testing

Note You need to log in before you can comment on or make changes to this bug.